<?php
/**
 * Copyright 2016 Amazon.com, Inc. or its affiliates. All Rights Reserved.
 *
 * Licensed under the Apache License, Version 2.0 (the "License").
 * You may not use this file except in compliance with the License.
 * A copy of the License is located at
 *
 *  http://aws.amazon.com/apache2.0
 *
 * or in the "license" file accompanying this file. This file is distributed
 * on an "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either
 * express or implied. See the License for the specific language governing
 * permissions and limitations under the License.
 */
namespace Amazon\Login\Domain;

class ValidationCredentials
{
    /**
     * @var integer
     */
    private $customerId;

    /**
     * @var string
     */
    private $amazonId;

    /**
     * ValidationCredentials constructor.
     *
     * @param integer $customerId
     * @param string  $amazonId
     */
    public function __construct($customerId, $amazonId)
    {
        $this->customerId = $customerId;
        $this->amazonId   = $amazonId;
    }

    /**
     * Get customer id
     *
     * @return integer
     */
    public function getCustomerId()
    {
        return $this->customerId;
    }

    /**
     * Get amazon id
     *
     * @return string
     */
    public function getAmazonId()
    {
        return $this->amazonId;
    }
}
